﻿@using System.Text.Json;
@model IEnumerable<ClientProperty>
<div class="d-flex mb-5">
    <div>
        <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Please provide us the details about your Property</h4>
    </div>
    <div>
        <button class="btn btn-primary font-weight-bold btn-sm btn-property-add mb-2"><i class="fas fa-plus"></i> New property</button>
    </div>
    <div class="ml-auto">
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="wizard-content-height">
    <div class="row" id="property-main-div">
        @foreach (var item in Model)
        {
            <div class="col-xl-12 property-info-div d-flex" id="property-card-@item.Guid">
                <div class="card card-custom gutter-b shadow-none property-card bg-gray-100 border border-success w-100">
                    <div class="card-header bg-success">
                        <div class="card-title m-0 w-75">
                            <h3 class="card-label font-size-h4 font-weight-bold text-white">
                                <span>@item.Type.GetDisplayName()</span>
                                @if (!string.IsNullOrEmpty(item.Nickname))
                                {
                                    <span>- @item.Nickname</span>
                                }
                            </h3>
                        </div>
                        <div class="card-toolbar">
                            <div class="example-tools">
                                @if (item.Type != PropertyTypeEnum.Primary)
                                {
                                    <button class="btn btn-icon btn-sm btn-property-edit" data-guid="@item.Guid">
                                        <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                                    </button>
                                }
                                <button class="btn btn-icon btn-sm btn-property-delete" data-guid="@item.Guid">
                                    <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="card-body pr-4">
                        <div class="font-size-h6">
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold p-0">Purchase Price:</span>
                                <span class="col-md-5 p-0">@(item.PricePaid > 0 ? string.Format("{0:C0}", item.PricePaid) : "-")</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold p-0">Current Value:</span>
                                <span class="col-md-5 p-0">@(item.CurrentValue > 0 ? string.Format("{0:C0}", item.CurrentValue) : "-")</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold p-0">Loan Balance:</span>
                                <span class="col-md-5 align-self-end p-0">@(item.AmountOwed > 0 ? string.Format("{0:C0}", item.AmountOwed) : "-")</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold p-0">Years Till Pay Off:</span>
                                <span class="col-md-5 align-self-end p-0">@(item.YearsPayOff > 0 ? string.Format("{0} year(s)", item.YearsPayOff) : "-")</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold p-0">Projected Value at Retirement:</span>
                                <span class="col-md-5 align-self-end p-0">@(item.ProjectedFairMarketValueRetirement > 0 ? string.Format("{0:C0}", item.ProjectedFairMarketValueRetirement) : "-")</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold align-self-start p-0">Ownership:</span>
                                <span class="col-md-5 align-self-end p-0">@item.OwnByWithData</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold p-0">Amount of Ownership(%):</span>
                                <span class="col-md-5 propertyspecialneed align-self-end p-0">@(item.PercentageOfOwnership > 0 ? $"{item.PercentageOfOwnership.ToString()}%" : "-")</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold align-self-start p-0">Plans for Property:</span>
                                <span class="col-md-5 p-0">@item.PropertyPlan.GetDisplayName()</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-7 text-dark font-weight-bold align-self-start p-0">Annual Income Generated:</span>
                                <span class="col-md-5 p-0">@(item.Incomegenerated ? "Yes" : "No")</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
</div>
<partial name="_WizardFooter" />
<div class="modal" id="PropertyModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script src="~/js/page/personal-property.js" asp-append-version="true"></script>